import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询标准工序管理列表
export function listProcess(query) {
  return request({
    url: baseUrl + '/business/process/list',
    method: 'get',
    params: query
  })
}
export function listFilterProcess(query) {
  return request({
    url: baseUrl + '/business/process/listFilterProcess',
    method: 'get',
    params: query
  })
}

// 查询标准工序管理详细
export function getProcess(id) {
  return request({
    url: baseUrl + '/business/process/' + id,
    method: 'get'
  })
}

// 新增标准工序管理
export function saveProcess(data) {
  return request({
    url: baseUrl + '/business/process/save',
    method: 'post',
    data: data
  })
}

// 删除标准工序管理
export function delProcess(id) {
  return request({
    url: baseUrl + '/business/process/remove/' + id,
    method: 'delete'
  })
}
